

feed_pressure: 0  # [bar]

# ED parameters
N_comp_cells: 100 #50

# membrane performance parameters
r_dash_am: 0.00045  # [ohm.m2], Ref: McGovern 2014 (On the cost of...) assuming 3.5*10^-4+1*10^-4 and discarding 3.5*10^-4-1*10^-4
r_dash_cm: 0.00045  # [ohm.m2], Ref: McGovern 2014 (On the cost of...) assuming 3.5*10^-4+1*10^-4 and discarding 3.5*10^-4-1*10^-4
sigma: 0.61  # [-], Ref: McGovern 2014 (On the cost of...) assuming 0.64-0.03 and discarding 0.64+0.03
m_eff: 0.67  # [-], Ref: Nayar 2019 (Cost and energy req. of hybrid...) assuming 0.64+0.03 and discarding 0.64-0.03

# solution properties
D: 1.61e-9  # [m2/s]
t_cu: 0.5  # [-]

# cell-pair area correction factor (account for inaccuracies due to non-consideration of FEA 
area_corr_factor: 1.17

# flow properties / geometry
h: 0.0005  # [m] Channel height
a_m: 0.395  # [m2] Effective cell-pair area of each membrane pair (Ref: Chemicals, A. (2013). Selemion Ion Exchange Membranes, Model: DW Type 3E. A. Chemicals. Japan.)
L_stack: 0.840   # [m] Effective stack length  (Ref: Chemicals, A. (2013). Selemion Ion Exchange Membranes, Model: DW Type 3E. A. Chemicals. Japan.)
W_stack: 0.470   # [m] Stack width  (Ref: Chemicals, A. (2013). Selemion Ion Exchange Membranes, Model: DW Type 3E. A. Chemicals. Japan.)
max_n_cp: 220  # Ref: Chemicals, A. (2013). Selemion Ion Exchange Membranes, Model: DW Type 3E. A. Chemicals. Japan.
sh: 18

# Stack parameters
v_el: 2.1  # [V] electrode potential. Ref: Nayar 2019 (Cost and energy req. of hybrid...)

# spacer properties
epsilon_s: 0.2  # [-] spacer volume fraction
k_f: 9.6  # []

# pump properties
eta_pump: 0.85


# constants
R: 8.3145  # [J/(K.mol)]
T: 298  # [K]
F: 96485  # Faraday's constant [C/mol]


# molar volume
v_molar_water: 18.0182  # [cm3/mol]

# molecular weights [g/mol]
MW_nacl: 58.44
MW_water: 18.015









# the diffusion coefficients are taken from the thermodynamic database phreeqc.dat or from Vanysek: Ionic conductivity
# and diffusion at infinite dilution [website: www.aqion.de/site/194]
D_inf_Na: 1.33 # [1e-9 m2/s]
D_inf_Cl: 2.03 # [1e-9 m2/s]
D_inf_Mg: 0.707 # [1e-9 m2/s]
D_inf_Ca: 0.792
D_inf_SO4: 1.06
D_inf_K: 1.957
D_inf_Sr: 0.794
D_inf_Ba: 0.848
D_inf_dye: 0.36
D_inf_HCO3: 1.180
D_inf_CO3: 0.955  # Nikhil
D_inf_COD: 0.52 #controllare (sucrose)

V_Na: -1.2 # [cm3/mol]
V_Cl: 17.82 # [cm3/mol]
V_Mg: -21.57 # [cm3/mol]

r_Na: 0.184 #  0.095 # [nm] CRYSTAL: 0.095, STOKES: 0.184
r_Cl: 0.121 # 0.181 # [nm] CRYSTAL: 0.181, STOKES: 0.121
r_Mg: 0.35 # 0.35 # [nm] CRYSTAL: 0.065, STOKES: 0.35
r_Ca: 0.309 # 0.309  # [nm] CRYSTAL: 0.099, STOKES: 0.309
r_SO4: 0.290 # 0.230 # [nm] CRYSTAL: 0.230, STOKES: 0.290
r_CO3: 0.290 # [nm]  # Nikhil assumption just for the sake of removing error from excel. change it later to correct value
r_K: 0.125 # 0.133  # [nm] CRYSTAL: 0.133, STOKES: 0.125
r_Sr: 0.31 # 0.31  # [nm] CRYSTAL: 0.113, STOKES: 0.31
r_Ba: 0.29 # 0.29  # [nm] CRYSTAL: 0.135, STOKES: 0.29
r_HCO3: 0.156

alpha_Na: -5.9081  # [cm3/mol]
alpha_Cl: -14.6221  # [cm3/mol]
alpha_Mg: -18.8749  # [cm3/mol]
alpha_Ca: -22.3772  # [cm3/mol]
alpha_SO4: -65.8818  # [cm3/mol]
alpha_K: -8.0763 #
alpha_HCO3: 7.2686 #
alpha_CO3: -61.8929 # Nikhil. Source: https://scielo.conicyt.cl/scielo.php?script=sci_arttext&pid=S0717-97072008000100015 (or http://dx.doi.org/10.4067/S0717-97072008000100015 )
v_molar_Na: 14.6883  # [cm3/mol]
v_molar_Cl: 23.513  # [cm3/mol]
v_molar_Mg: 19.4707  # [cm3/mol]
v_molar_Ca: 25.1865  # [cm3/mol]
v_molar_SO4: 69.4141  # [cm3/mol]
v_molar_K: 27.0279 #
v_molar_HCO3: 7.6564 #
v_molar_water: 18.0182  # [cm3/mol]
v_molar_CO3: 44.8606  # [cm3/mol]

Cbulk_Na: 173.9  # [mol/m3] 10 34.5   17.3 173.9 SW 595.82 BRINE_CRYST 173.9
Cbulk_Cl: 662.25 # [mol/m3] 50 34.5   38.5 657.3 SW 681.09 BRINE_CRYST 662.25
Cbulk_Mg: 55.6 # [mol/m3] 20   10.6 41.7 SW 64.83 BRINE_CRYST 55.6
Cbulk_Ca: 191.7 # [mol/m3]  0 200 SW 12.275 BRINE_CRYST 191.7
Cbulk_SO4: 3.125 # SW 34.47 BRINE_CRYST 3.125
Cbulk_K: 0 # 13.6 BRINE NF EXP 8.6
Cbulk_Ba: 0 # 0.0874
Cbulk_Sr: 0 # 0.276

z_Na: 1
z_Cl: -1
z_Mg: 2
z_Ca: 2
z_SO4: -2
z_K: 1
z_Sr: 2
z_Ba: 2
z_dye: 0
z_HCO3: -1
z_CO3: -2  # Nikhil
z_COD: 0

# molecular weight [g/mol]
MW_Na: 23.0
MW_Cl: 35.5
MW_Ca: 40.1
MW_Mg: 24.3
MW_SO4: 96
MW_K: 39
MW_Ba: 137.3
MW_Sr: 87
MW_water: 18
MW_HCO3: 61
MW_CO3: 60.009
MW_COD: 342.3 #(Mw saccarosio)
MW_dye: 68.5 #ip. PM medio platino e cobalto


R: 8.314 # [J/(mol K)]
T: 298
F: 96487  # [C/mol]
k_b: 1.38066e-23 # [J/k]
e0: 1.602e-19 # [C]
Na: 6.023e+23
osmotic_coeff: 8

eta_spacer: 0.95
L_mix: 0.006  # Senthilmurugan

N_nodes: 50
eta_rel_pot: 0.2
eta_rel_conc: 0.2
N_discr_w: 10
N_discr_L: 100

# economic parameters
sp_cost_membrane_ed_per_m2: 222 # [$/m2] Ref: Nayar 2019 (Cost and energy req. of hybrid...)
sp_cost_maint_ed: 8.5266 # [$/m2/year] Ref: Nayar 2019 (Cost and energy req. of hybrid...)
sp_cost_chem_ed: 2.09426 # [$/m2/year] Ref: Nayar 2019 (Cost and energy req. of hybrid...)
num_of_operators: 1  # [-] Ref: Nayar 2019 (Cost and energy req. of hybrid...)
annual_salary_operator: 50000  # [$/year] Ref: Nayar 2019 (Cost and energy req. of hybrid...)
plant_availability: 0.94
sp_cost_high_salinity_ed_plant: 600 # [$/m2 of membrane] Ref: Nayar 2019 (Cost and energy req. of hybrid...)
cost_year: '2019'
depr_period: # [years]
  civil: 30 
  mech_electro: 15
  membrane: 7
labor_nos:
  chemical_plant_operator: 1
